FROM siverten/magma:latest
ENV MC_RAM="2G"
COPY ./rlcraft ./
EXPOSE 25565
EXPOSE 25575
VOLUME [ "/magma/plugins", "/magma/config", "/magma/world", "/magma/logs" ]
CMD java -server -Xms${MC_RAM} -Xmx${MC_RAM} -Dfml.queryResult=confirm -XX:+CMSClassUnloadingEnabled -XX:+UseG1GC -XX:MaxGCPauseMillis=50 -Djline.terminal=jline.UnsupportedTerminal -jar Magma-*-server.jar nogui
